package com.ho.business.mapper;

import com.ho.business.entity.IncomeTotal;
import com.ho.business.vo.resp.report.CurrentMonthReportRespVO;
import com.ho.business.vo.resp.report.HistoryReportRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
* @author yy
* @description 针对表【income_total】的数据库操作Mapper
* @createDate 2023-02-15 19:54:09
* @Entity generator.domain.IncomeTotal
*/
@Mapper
public interface IncomeTotalMapper {


    List<IncomeTotal> selectByDate(@Param("stationId") Integer id, @Param("list") List<Integer> srcIdList, String startDayTime, String endDayTime);

    int insertRealDataBatch(@Param("list") List<IncomeTotal> list);

    List<IncomeTotal> selectByStations(@Param("list")   List<Integer> stationIds, String startDayTime, String endDayTime);

    List<CurrentMonthReportRespVO> selectDailySumByStationId(Integer stationId, Date beginTime, Date endTime);

    List<HistoryReportRespVO> selectFeeByStationId(Integer stationId,Integer groupId, Date beginTime, Date endTime);

    BigDecimal selectSumIncomeByStationId(Integer stationId);

    BigDecimal selectSumIncomeByGroupId(Integer groupId);
}
